@if ($componentData(); as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      #dropZone
      class="full-width full-height p-r-15 overflow-y-auto container-transparent-border"
      [sqtmCoreDraggableDropZone]="dropZoneId"
      (drop)="dropIntoTestPlan($event)"
      [attr.data-test-element-id]="dropZoneId"
      (dragEnter)="dragEnter($event)"
      (dragLeave)="dragLeave($event)"
      (dragCancel)="dragCancel()"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
          class="anchor first-panel"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-sprint-req-version-information-panel
            [componentData]="componentData"
          >
          </sqtm-app-sprint-req-version-information-panel>
        </nz-collapse-panel>

        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'testPlan'"
          [sqtmCoreAnchorCollapsePanel]="'testPlan'"
          [nzHeader]="testPlanTitle"
          [nzExtra]="testPlanButtons"
          class="anchor first-panel"
          sqtmCoreAnchorLastPanel
          [isEffectiveLastPanel]="!$isBugTrackerBoundToProject()"
        >
          <ng-template #testPlanTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.sprint.req-version.test-plan.' +
                  (componentData.sprintReqVersion.mode ==
                  ManagementMode.SYNCHRONIZED
                    ? 'title'
                    : 'title-for-native-req-version') | translate
              }}
            </div>
          </ng-template>

          <ng-template #testPlanButtons>
            @if (componentData.permissions.canLink && !$isSprintClosed()) {
              <div class="panel-buttons">
                <button
                  class="flex-fixed-size"
                  nz-button
                  nzType="primary"
                  nzSize="small"
                  [attr.data-test-button-id]="
                    'update-sprint-req-version-test-plan'
                  "
                  (click)="handleUpdateTestPlanButtonClicked($event)"
                >
                  {{
                    'sqtm-core.campaign-workspace.test-plan.update-sprint-req-version.button-label'
                      | translate
                  }}
                </button>
                <div>
                  <i
                    nz-icon
                    nzType="sqtm-core-generic:add"
                    nzTheme="outline"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.associate.test-case' | translate
                    "
                    nzTooltipPlacement="topRight"
                    class="current-workspace-button action-icon-size"
                    [attr.data-test-button-id]="'show-test-case-picker'"
                    (click)="toggleTestCasePickerDrawer($event)"
                  >
                  </i>
                </div>

                @if ($canDeleteTestPlanItems()) {
                  <sqtm-core-toggle-icon
                    [active]="$hasSelectedRows()"
                    (clickedInActiveMode)="
                      handleDeleteTestPlanItemsButtonClicked()
                    "
                    [stopPropagation]="true"
                  >
                    <i
                      nz-icon
                      nzType="sqtm-core-generic:delete"
                      nzTheme="outline"
                      [attr.data-test-button-id]="
                        'show-confirm-mass-delete-dialog'
                      "
                      nz-tooltip
                      class="action-icon-size"
                      [nzTooltipTitle]="
                        'sqtm-core.campaign-workspace.test-plan-execution.delete.label'
                          | translate
                      "
                      nzTooltipPlacement="topRight"
                    ></i>
                  </sqtm-core-toggle-icon>
                }
              </div>
            }
          </ng-template>

          <sqtm-app-sprint-req-version-test-plan-panel
            [componentData]="componentData"
          >
          </sqtm-app-sprint-req-version-test-plan-panel>
        </nz-collapse-panel>

        @if ($isBugTrackerBoundToProject()) {
          <sqtm-app-sprint-req-version-issue-panel
            [sprintReqVersionViewComponentData]="componentData"
          >
          </sqtm-app-sprint-req-version-issue-panel>
        }

        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}

<sqtm-core-drawer
  [localTheme]="'test-case-workspace'"
  [titleKey]="'sqtm-core.tree-picker.test-case.title'"
  [isVisible]="$isTestCasePickerOpen()"
  (close)="closeTestCasePickerDrawer()"
  [backgroundColor]="'neutral'"
>
  @if ($isTestCasePickerOpen()) {
    <sqtm-core-test-case-picker
      [pickerPersistenceKey]="'add-test-case-to-sprint-req-test-plan'"
    />
  }
</sqtm-core-drawer>
